Fetch All Payment Links
curl --request GET \
--url https://sandbox-api.payfonte.com/payments/v1/payment-links \
--header 'client-id: <api-key>' \
--header 'client-secret: <api-key>'import requests
url = "https://sandbox-api.payfonte.com/payments/v1/payment-links"
headers = {
"client-id": "<api-key>",
"client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'client-id': '<api-key>', 'client-secret': '<api-key>'}
};
fetch('https://sandbox-api.payfonte.com/payments/v1/payment-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"total": 246,
"page": 1,
"pages": 123,
"limit": 2,
"data": [
{
"amount": 0,
"isAnonymousPaymentEnabled": false,
"clientId": "payfusion",
"locale": "en",
"logo": "https://files.6thbridge.xyz/public/v1/files/payfusion/content/6a2fc1603d18ca5a47adbe17",
"currency": "NGN",
"country": "NG",
"title": "kksk",
"description": "kksk",
"isAmountFixed": false,
"longURL": "https://staging-checkout.payfusion.io/link/6a7204a536c2106e38fe8e01",
"shortURL": "https://s.6bd.co/payment-link/bN0ASZ",
"minimumAmount": 0,
"maximumAmount": 200000,
"amountLimit": 200000,
"customFields": [],
"redirectURL": "https://staging-checkout.payfusion.io/invoices/summary/6a7204a5580ef8976ef93da8",
"expiresAt": null,
"isActive": true,
"status": "completed",
"parentClientId": "payfusion",
"createdAt": "2026-08-04T15:26:29.757Z",
"updatedAt": "2026-08-05T21:38:39.453Z",
"id": "6a7204a536c2106e38fe8e01"
},
{
"amount": 0,
"isAnonymousPaymentEnabled": false,
"clientId": "payfusion",
"locale": "en",
"logo": "https://files.6thbridge.xyz/public/v1/files/payfusion/content/6a2fc1603d18ca5a47adbe17",
"currency": "NGN",
"country": "NG",
"title": "none",
"description": "none",
"isAmountFixed": false,
"longURL": "https://staging-checkout.payfusion.io/link/6a71d34936c2106e38fe8a4a",
"shortURL": "https://s.6bd.co/payment-link/G3H9z-",
"minimumAmount": 0,
"maximumAmount": 200000,
"amountLimit": 200000,
"customFields": [],
"redirectURL": "https://staging-checkout.payfusion.io/invoices/summary/6a71d3482b231e3051bba029",
"expiresAt": null,
"isActive": true,
"status": "active",
"parentClientId": "payfusion",
"createdAt": "2026-08-04T11:55:53.054Z",
"updatedAt": "2026-08-04T11:55:53.054Z",
"id": "6a71d34936c2106e38fe8a4a"
}
]
}Payment Links
Fetch All Payment Links
Retrieve a paginated list of payment links.
GET
/
payments
/
v1
/
payment-links
Fetch All Payment Links
Query Parameters
Page number for pagination.
Required range:
x >= 1Number of records per page.
Required range:
1 <= x <= 100Optional 2-letter ISO country code filter.
Required string length:
2Example:
"NG"
Optional 3-letter ISO currency code filter.
Required string length:
3Example:
"NGN"
Response
200 - application/json
Successfully retrieved payment links.
Application status code returned in the response body.
Example:
200
Total number of records.
Example:
246
Current page number.
Example:
1
Total number of pages.
Example:
123
Number of records per page.
Example:
2
Show child attributes
Show child attributes
⌘I